<template>
  <div>
    <div class="search-form">
      <el-form :inline="true" :model="formData" class="demo-form-inline">
        <el-form-item label="交办单号：">
          <el-input v-model="formData.allocationNum" placeholder="请输入单号" size="small" clearable />
        </el-form-item>

        <el-form-item label="开始时间：">
          <el-date-picker v-model="formData.startTime" style="width:92%" size="small" value-format="yyyy-MM-dd" type="date" placeholder="开始日期" />

        </el-form-item>
        <el-form-item label="结束时间：">
          <el-date-picker v-model="formData.endTime" style="width:92%" size="small" value-format="yyyy-MM-dd" type="date" placeholder="结束时间" />
        </el-form-item>
        <el-form-item label="责任主体：" class="rddd">
          <el-select v-model="formData.unitId" size="small" clearable multiple collapse-tags placeholder="请选择">
            <el-option v-for="item in unitList" :key="item.unitId" :label="item.unitName" :value="item.unitId" />
          </el-select>
        </el-form-item>
        <el-form-item label="污染分类：">
          <el-select v-model="formData.polluteType" size="small" clearable multiple collapse-tags placeholder="请选择">
            <el-option v-for="item in polluteList" :key="item.dataKey" :label="item.dataValue" :value="item.dataKey" />
          </el-select>
        </el-form-item>
        <el-form-item label="排查方式：">
          <el-select v-model="formData.investigationType" size="small" clearable placeholder="请选择">
            <el-option v-for="item in Dic.investigationEnum" :key="item.value" :label="item.name" :value="item.value" />
          </el-select>
        </el-form-item>

        <el-form-item label="整改类型：">
          <el-select v-model="formData.changeType" placeholder="请选择" clearable size="small">
            <el-option v-for="item in Dic.changeEnum" :key="item.value" :label="item.name" :value="item.value" />
          </el-select>
        </el-form-item>
        <el-form-item label="流程状态：">
          <el-select v-model="formData.state" size="small" clearable multiple collapse-tags placeholder="请选择" @change="replacePerChange($event)">
            <el-option v-for="item in Dic.allocationApproveEnum" :key="item.value" :label="item.name" :value="item.value" />
          </el-select>
        </el-form-item>

        <el-form-item label="是否作废：">
          <el-select v-model="formData.isInvalid " placeholder="请选择" clearable size="small" @change="replacePerChange($event)">
            <el-option v-for="item in Dic.yesOrNo" :key="item.value" :label="item.name" :value="item.value" />
          </el-select>
        </el-form-item>
        <el-form-item>
          <el-button type="primary" size="small" @click="onSubmit">查询</el-button>
          <el-button type="primary" size="small" @click="handleAdd">新建</el-button>
        </el-form-item>
      </el-form>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    searchType: { type: String, default: '' }
  },
  data() {
    return {
      formData: {
        isInvalid: 0,
        state: [9, 20, 30]
      },
      unitList: [],
      Dic: JSON.parse(localStorage.getItem('dict')),
      polluteList: [],
      valueTime: [],
      isReform: false
    }
  },

  created() {
    this.getUnitList()
    this.getContaminateList()
  },
  methods: {
    // 获取责任单位list
    getUnitList() {
      this.$request({
        url: '/allocation/unit',
        method: 'get'
      }).then(res => {
        this.unitList = res.data
      })
    },
    getContaminateList() {
      this.$request({
        url: '/allocation/contaminate',
        method: 'get'
      }).then(res => {
        this.polluteList = res.data
      })
    },
    replacePerChange(val) {
      this.$forceUpdate()
    },
    onSubmit() {
      console.log('formData', this.formData)
      this.$emit('handleSearch', this.formData)
    },
    handleAdd() {
      this.$emit('handleAdd', '12122')
    }
  }
}
</script>

<style scoped lang="scss">
.search-form {
  margin: 20px;
  margin-bottom: 0px;
  /deep/ .el-input__suffix {
    right: 20;
  }
  /deep/ .el-form-item__content {
    width: auto;
  }
}
/deep/.el-form-item__label {
  font-size: 16px;
}
/deep/.el-form-item {
  margin-bottom: 5px;
}
</style>
